/* wipemem multiboot executable - David A. Madore - Public Domain */
/* conio.h - header file for console I/O */

#ifndef _CONIO_H
#define _CONIO_H

#define SCREEN_LINES 25
#define SCREEN_COLS 80

void clear_screen (void);
void select_attr (uint8_t attr);
void move_cursor (int line, int col);

void put_raw_ch (unsigned char ch);
void put_ch (unsigned char ch);
void put_str (const unsigned char *s);

void printf (const char *fmt, ...)
  __attribute__ ((format (printf, 1, 2)));

#endif
