/* wipemem multiboot executable - David A. Madore - Public Domain */
/* machine.h - headers for machine functions */

#ifndef _MACHINE_H
#define _MACHINE_H

#include <stdint.h>

void outb (uint16_t port, uint8_t val);  // Port address comes first.

void stop(void) __attribute__ ((noreturn));  // Declared in bootwm.S

void reboot (void);  // Don't declare as noreturn, so we can die if it fails.

#endif
